#ifndef LC_MY_WIDGET_H
#define LC_MY_WIDGET_H

#include <QDialog>

#include <QSizeGrip>
#include <QDebug>
//弹出窗 没有任务栏的
class LcMyWidget : public QDialog
{
    Q_OBJECT
public:
    explicit LcMyWidget(QWidget *parent = 0);

signals:
    void sgBtnClick();
public slots:

protected:

    virtual void mousePressEvent(QMouseEvent * event);
    virtual void mouseReleaseEvent(QMouseEvent * event);
    virtual void mouseMoveEvent(QMouseEvent * event);

private:
    QPoint move_point; //移动的距离
    bool mouse_press; //按下鼠标左键
    QPoint beginpoint;
};

#endif // LC_MY_WIDGET_H
